Bug 1000024 - GDBus binding leaks
GDBus binding leaks
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:04 EDT by Matus Marhefka
Modified: 2015-02-17 11:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (1.09 KB, text/x-csrc)
2013-08-22 10:04 EDT, Matus Marhefka
no flags Details
Makefile (139 bytes, text/plain)
2013-08-22 10:06 EDT, Matus Marhefka
no flags Details

  None (edit)
Description Matus Marhefka 2013-08-22 10:04:48 EDT
Created attachment 789212 [details]
reproducer

Description of problem:
GDBus D-Bus binding leaks memory when calling methods which
return void (empty tuple "()"). The leaks are possibly from function
g_dbus_proxy_call_sync().

Version-Release number of selected component (if applicable):
glib2-devel-2.34.2-2.fc18.x86_64   (Fedora 18)
glib2-devel-2.36.3-3.fc19.x86_64   (Fedora 19)
and probably all glib2-devel versions which include GDBus binding.

How reproducible:
Download source code gdbus_leaks.c and Makefile. Run and see
how memory is consumed even if properly freed in code.
What is particularly interesting is that when you call
g_dbus_proxy_new_sync() with these properties (commented also
in source code):
G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES
| G_DBUS_PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS
there are no leaks.

Steps to Reproduce:
1. Download source code in gdbus_leaks.c and Makefile
2. make; ./leak
3. watch the process "leak" memory

Actual results:
Memory leaks even if memory is properly freed in code.

Expected results:
No memory leaks.

Additional info:
Comment 1 Matus Marhefka 2013-08-22 10:06:06 EDT
Created attachment 789213 [details]
Makefile
Comment 2 Fedora End Of Life 2015-01-09 14:33:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:52:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.